*** readline.c.orig	Thu Dec  1 11:13:45 1994
--- readline.c	Mon Oct 17 14:02:47 1994
***************
*** 139,147 ****
  #endif /* SGTTY */
  
  /* ULTRIX defines VRPRNT instead of VREPRINT */
  #ifdef VRPRNT
  #define VREPRINT VRPRNT
! #endif
  
  /* define characters to use with our input character handler */
  static char term_chars[NCCS];
--- 139,150 ----
  #endif /* SGTTY */
  
  /* ULTRIX defines VRPRNT instead of VREPRINT */
+ /* however, IRIX 5.2 defines VREPRINT, then defines VRPRNT to be VREPRINT */
+ #ifndef IRIX5
  #ifdef VRPRNT
  #define VREPRINT VRPRNT
! #endif /* VRPRNT */
! #endif /* IRIX5 */
  
  /* define characters to use with our input character handler */
  static char term_chars[NCCS];
*** makefile.unx.orig	Wed Sep 15 23:59:50 1993
--- makefile.unx	Mon Dec 12 09:28:08 1994
***************
*** 25,34 ****
  # directory where to install executables on 'make install'
  DEST=/usr/local/bin
  # directory for installing man page on 'make man_install'.
! MANDEST=/usr/local/man/manl
  # where to install help file gnuplot.gih
  HELPDEST=/usr/local/lib
  #HELPDEST=docs/gnuplot.gih
  # Where to send email about bugs and comments (locally)
  EMAIL=bug-gnuplot@dartmouth.edu
  
--- 25,36 ----
  # directory where to install executables on 'make install'
  DEST=/usr/local/bin
  # directory for installing man page on 'make man_install'.
! MANDEST=/usr/local/man/man1
  # where to install help file gnuplot.gih
  HELPDEST=/usr/local/lib
  #HELPDEST=docs/gnuplot.gih
+ # where to install the demos
+ DEMODEST=/usr/local/gnuplot/demo
  # Where to send email about bugs and comments (locally)
  EMAIL=bug-gnuplot@dartmouth.edu
  
***************
*** 37,45 ****
  MAKE   = make
  #>>> Choose your C compiler and basic compiler flags.
  # the C compiler
! CC     = cc
  # -O if you trust your compiler's optimizer
! COPTS  =
  # default loading command
  LD     = $(CC) $(CFLAGS)
  NPROC  = 2
--- 39,47 ----
  MAKE   = make
  #>>> Choose your C compiler and basic compiler flags.
  # the C compiler
! CC     = gcc
  # -O if you trust your compiler's optimizer
! COPTS  = -g -O
  # default loading command
  LD     = $(CC) $(CFLAGS)
  NPROC  = 2
***************
*** 71,76 ****
--- 73,83 ----
  # Use lasergnu_noinstall to not install lasergnu (default).
  LASERGNU = lasergnu_install
  
+ #>>> Optionally install the demos into a specified place.
+ # use demo_install to install the demos (will go into DEMODEST).
+ # use demo_noinstall to not install the demos (default).
+ DEMOINSTALL = demo_noinstall
+ 
  ############################################################
  # X11 support
  #
***************
*** 276,281 ****
--- 283,297 ----
             X11INSTALL="$(X11INSTALL)" \
             TERMFLAGS="-Iterm -DX11 -DIRIS4D -DANSI"
  
+ IRIX5_FLAGS = \
+            CFLAGS="$(COPTS) $(OPTIONS) -DGETCWD -DNOVFORK -DIRIX5" \
+            LIBS="-lgl_s -lm -lc_s" X11FLAGS="$(X11FLAGS)" \
+            X11INCLUDES="$(X11INCLUDES)" \
+            X11LIBS="-L/usr/lib/X11 -lX11" \
+            PLOTXFLAG="$(PLOTXFLAG)" GNUPLOT_X11=$(GNUPLOT_X11) \
+            X11INSTALL="$(X11INSTALL)" \
+            TERMFLAGS="-Iterm -DX11 -DIRIS4D -DANSI"
+ 
  CGI_FLAGS = \
             CFLAGS="$(COPTS) $(OPTIONS) -Dunix" \
             LIBS="-lccgi $(LIBS)" X11FLAGS=" " X11INCLUDES=" " \
***************
*** 514,519 ****
--- 530,536 ----
  	@echo "sun_x11      for Sun sparcstation running SunOS 4.1 with suntools and X11 "
  	@echo "sgi          for Silicon Graphics IRIS4D machines (no X11) "
  	@echo "sgix11       for Silicon Graphics IRIS4D machines (X11) "
+ 	@echo "irix5        for Silicon Graphics machines under IRIX5 (X11) "
  	@echo "next         for NeXT Cube and Slab running NeXTOS 2.0+ (no X11)"
  	@echo "next_x11     for NeXT Cube and Slab running NeXTOS 2.0+ with X11"
  	@echo "3b1          for ATT 3b1 machines (no X11) "
***************
*** 619,624 ****
--- 636,644 ----
  sgix11:
  	$(MAKE) $(MFLAGS) $(MY_FLAGS) $(SGIX11_FLAGS)   $(TARGET)
  
+ irix5:
+ 	$(MAKE) $(MFLAGS) $(MY_FLAGS) $(IRIX5_FLAGS)   $(TARGET)
+ 
  cgi:
  	$(MAKE) $(MFLAGS) $(MY_FLAGS) $(CGI_FLAGS)      $(TARGET)
  
***************
*** 711,719 ****
  ################################################################
  # Installation targets
  
! Install: All man_install $(X11INSTALL) $(LASERGNU)
  	cp gnuplot $(DEST)
  	strip $(DEST)/gnuplot
  	( cd docs; $(MAKE) $(MFLAGS) $(MY_FLAGS) install-unix HELPDEST=$(HELPDEST) )
  
  x11_install: gnuplot_x11
--- 731,740 ----
  ################################################################
  # Installation targets
  
! Install: All man_install $(X11INSTALL) $(LASERGNU) $(DEMOINSTALL)
  	cp gnuplot $(DEST)
  	strip $(DEST)/gnuplot
+ 	cp gnuplot_eps $(DEST)
  	( cd docs; $(MAKE) $(MFLAGS) $(MY_FLAGS) install-unix HELPDEST=$(HELPDEST) )
  
  x11_install: gnuplot_x11
***************
*** 742,747 ****
--- 763,779 ----
  	@echo "Lasergnu is really not needed since within gnuplot you can"
  	@echo " can create files (in impress or PostScript language) and"
  	@echo " print them through your favorite print command (lpr, lp, prf, ipr)."
+ 	@echo
+ 
+ demo_install:
+ 	( cd demo; cp * $(DEMODEST) )
+ 
+ demo_noinstall:
+ 	@echo
+ 	@echo "The demos will not be installed by default."
+ 	@echo "If you want to install the demos, then type"
+ 	@echo
+ 	@echo "      make <MACHINE> TARGET=Install DEMOINSTALL=demo_install' "
  	@echo
  
  ################################################################
