*** docs/gnuplot.doc.orig	Wed Sep 15 23:59:57 1993
--- docs/gnuplot.doc	Mon Dec 12 09:07:41 1994
***************
*** 918,929 ****
  
           plot '< awk "$0 !~ /^#/ {print $1-1965, $2}" population.dat'
  
-  It is also possible to apply a single function to the "y" value only,
-  e.g.
- 
-          plot 'population.dat' thru p(x)
- 
   For more information about 3-d plotting, see `splot`.
  4 using
  ?plot data-file using
  ?plot datafile using
--- 918,963 ----
  
           plot '< awk "$0 !~ /^#/ {print $1-1965, $2}" population.dat'
  
   For more information about 3-d plotting, see `splot`.
+ 4 bin4-8
+ ?plot data-file bin4-8
+ ?plot datafile bin4-8
+ ?bin4-8
+  Gnuplot will now automatically recognize a binary data file in a `plot`
+  command.  Unix-standard Fortran
+  unformatted files can be plotted with gnuplot.  The binary file should
+  have been written with a Fortran program as an unformatted file, or
+  have been generated to conform to that file layout.  The layout of each
+  record is: four-byte int, N data words, four-byte int; where the value of
+  the ints is N times the number of bytes per data word. In a Fortran program,
+  this type of file can consist of variable-length records, but for gnuplot
+  to plot it the file must contain fixed-length records.  The data within the
+  file can be either single-precision (four bytes per data word) or
+  double-precision (eight bytes per data word).  The default is single
+  precision; if you are plotting double precision data, the keyword
+  `bin8` (mnemonic: binary, eight bytes per word) must be given immediately
+  after the data file name.
+ 4 thru
+ ?plot data-file thru
+ ?plot datafile thru
+ ?thru
+ ?xthru
+ ?ythru
+  Gnuplot 3.4 adds the capability to pass the y-axis data from a data
+  file through a gnuplot function (built-in or user-defined).  This has
+  been extended to also allow the x-axis data to be so
+  treated.  This is accomplished via the `thru` (or `ythru`) and `xthru`
+  keywords.  E.g.,
+ 
+          f(x) = x + 100
+          plot 'datafile.dat' thru f(x)
+          plot 'datafile.dat' xthru f(x) ythru sin(x)
+ 
+  `ythru` and `thru` are equivalent; `ythru` was added to be symmetrical
+  with `xthru`.  Any `xthru` must precede any `ythru` or `thru`, and any
+  of these must come before any `using` (see below).  If `thru` or `ythru`
+  is used with errorbars, the errorbar data is transformed as well.
+  These keywords add enormous flexibility to data file plotting with gnuplot.
  4 using
  ?plot data-file using
  ?plot datafile using
***************
*** 1916,1933 ****
  ?nolabel
   Arbitrary labels can be placed on the plot using the `set label`
   command.  If the z coordinate is given on a `plot` it is ignored; if
!  it is missing on a `splot` it is assumed to be 0.
  
   Syntax:
  
!           set label {<tag>} {"<label_text>"} {at <x>,<y>{,<z>}}
                              {<justification>}
            set nolabel {<tag>}
            show label
  
  
!  The text defaults to "", and the position to 0,0,0.  The <x>, <y>, and
!  <z> values are in the graph's coordinate system.  The tag is an
   integer that is used to identify the label. If no <tag> is given, the
   lowest unused tag value is assigned automatically. The tag can be used
   to delete or change a specific label. To change any attribute of an
--- 1950,1972 ----
  ?nolabel
   Arbitrary labels can be placed on the plot using the `set label`
   command.  If the z coordinate is given on a `plot` it is ignored; if
!  it is missing on a `splot` it is assumed to be 0.  Label locations
!  can be specified either in graph coordinates or as a fraction of the
!  page size.
  
   Syntax:
  
!           set label {<tag>} {"<label_text>"} { {at|on} <x>,<y>{,<z>}}
                              {<justification>}
            set nolabel {<tag>}
            show label
  
  
!  The text defaults to "", and the position to 0,0,0.  If the <x>, <y>, and
!  <z> values are specified using the `at` keyword, they are in the
!  graph's coordinate system; if the `on` keyword is used, the <x> and
!  <y> are interpreted as the fraction of the device maximum width and
!  height to place the label (<z> is ignored).  The tag is an
   integer that is used to identify the label. If no <tag> is given, the
   lowest unused tag value is assigned automatically. The tag can be used
   to delete or change a specific label. To change any attribute of an
***************
*** 1945,1950 ****
--- 1984,1992 ----
  
   To set a label at (1,2) to "y=x" use:
            set label "y=x" at 1,2
+  To set a label at 40 percent of the device width and 20 percent of
+  the device height to "y=x" use:
+           set label "y=x" on 0.4,0.2
   To set a label "y=x^2" with the right of the text at (2,3,4), and tag
   the label number 3, use:
            set label 3 "y=x^2" at 2,3,4 right
