*** graph3d.c.orig	Thu Dec  1 12:35:49 1994
--- graph3d.c	Thu Dec  1 10:25:13 1994
***************
*** 938,947 ****
  			this_label=this_label->next ) {
  	    int x,y;
  
! 	    xtemp = LogScale(this_label->x, is_log_x, log_base_log_x, "label", "x");
! 	    ytemp = LogScale(this_label->y, is_log_y, log_base_log_y, "label", "y");
! 	    ztemp = LogScale(this_label->z, is_log_z, log_base_log_z, "label", "z");
!     	    map3d_xy(xtemp,ytemp,ztemp, &x, &y);
  
  		if ((*t->justify_text)(this_label->pos)) {
  			(*t->put_text)(x,y,this_label->text);
--- 938,952 ----
  			this_label=this_label->next ) {
  	    int x,y;
  
! 	    if (this_label->lstyle) {
! 	      xtemp = LogScale(this_label->x, is_log_x, log_base_log_x, "label", "x");
! 	      ytemp = LogScale(this_label->y, is_log_y, log_base_log_y, "label", "y");
! 	      ztemp = LogScale(this_label->z, is_log_z, log_base_log_z, "label", "z");
! 	      map3d_xy(xtemp,ytemp,ztemp, &x, &y);
! 	    } else {
! 	      x = (int) (this_label->x * t->xmax + 0.5);
! 	      y = (int) (this_label->y * t->ymax + 0.5);
! 	    }
  
  		if ((*t->justify_text)(this_label->pos)) {
  			(*t->put_text)(x,y,this_label->text);
*** graphics.c.orig	Thu Dec  1 11:13:43 1994
--- graphics.c	Wed Nov 30 17:11:44 1994
***************
*** 123,129 ****
  
  /* And the functions to map from user to terminal coordinates */
  #define map_x(x) (int)(xleft+(x-x_min)*xscale+0.5) /* maps floating point x to screen */ 
! #define map_y(y) (int)(ybot+(y-y_min)*yscale+0.5)	/* same for y */
  
  /* (DFK) Watch for cancellation error near zero on axes labels */
  #define SIGNIF (0.01)		/* less than one hundredth of a tic mark */
--- 123,137 ----
  
  /* And the functions to map from user to terminal coordinates */
  #define map_x(x) (int)(xleft+(x-x_min)*xscale+0.5) /* maps floating point x to screen */ 
! #define map_y(y) (int)(ybot+(y-y_min)*yscale+0.5)       /* same for y */
! /* 11-30-94 rodgers@lvs-emh.lvs.loral.com
!  * added new  #define's to allow different handling for
!  * labels that are data-relative and ones that are page-relative
!  */
! /* map_xlab maps floating point x to screen */
! #define map_xlab(x,lstyle) (lstyle ? (int)(xleft+(x-x_min)*xscale+0.5) : (int) (x * t->xmax + 0.5))
! /* map_ylab maps floating point y to screen */
! #define map_ylab(y,lstyle) (lstyle ? (int)(ybot+(y-y_min)*yscale+0.5) : (int) (y * t->ymax + 0.5))
  
  /* (DFK) Watch for cancellation error near zero on axes labels */
  #define SIGNIF (0.01)		/* less than one hundredth of a tic mark */
***************
*** 259,264 ****
--- 267,273 ----
  struct text_label *this_label;
  struct arrow_def *this_arrow;
  TBOOLEAN scaling;
+ TBOOLEAN lstyle;
  
  
  /* store these in variables global to this file */
***************
*** 542,567 ****
  /* PLACE LABELS */
      for (this_label = first_label; this_label!=NULL;
  			this_label=this_label->next ) {
! 	     xtemp = LogScale(this_label->x, is_log_x, log_base_log_x, "label", "x");
! 	     ytemp = LogScale(this_label->y, is_log_y, log_base_log_y, "label", "y");
  		if ((*t->justify_text)(this_label->pos)) {
! 			(*t->put_text)(map_x(xtemp),map_y(ytemp),this_label->text);
  		}
  		else {
  			switch(this_label->pos) {
  				case  LEFT:
! 					(*t->put_text)(map_x(xtemp),map_y(ytemp),
  						this_label->text);
  					break;
  				case CENTRE:
! 					(*t->put_text)(map_x(xtemp)-
  						(t->h_char)*strlen(this_label->text)/2,
! 						map_y(ytemp), this_label->text);
  					break;
  				case RIGHT:
! 					(*t->put_text)(map_x(xtemp)-
  						(t->h_char)*strlen(this_label->text),
! 						map_y(ytemp), this_label->text);
  					break;
  			}
  		 }
--- 551,583 ----
  /* PLACE LABELS */
      for (this_label = first_label; this_label!=NULL;
  			this_label=this_label->next ) {
!              lstyle = this_label->lstyle;
!              if (lstyle) {
! 	       xtemp = LogScale(this_label->x, is_log_x, log_base_log_x, "label", "x");
! 	       ytemp = LogScale(this_label->y, is_log_y, log_base_log_y, "label", "y");
! 	     }
! 	     else {
! 	       xtemp = this_label->x;
! 	       ytemp = this_label->y;
! 	     }
  		if ((*t->justify_text)(this_label->pos)) {
! 			(*t->put_text)(map_xlab(xtemp,lstyle),map_ylab(ytemp,lstyle),this_label->text);
  		}
  		else {
  			switch(this_label->pos) {
  				case  LEFT:
! 					(*t->put_text)(map_xlab(xtemp,lstyle),map_ylab(ytemp,lstyle),
  						this_label->text);
  					break;
  				case CENTRE:
! 					(*t->put_text)(map_xlab(xtemp,lstyle)-
  						(t->h_char)*strlen(this_label->text)/2,
! 						map_ylab(ytemp,lstyle), this_label->text);
  					break;
  				case RIGHT:
! 					(*t->put_text)(map_xlab(xtemp,lstyle)-
  						(t->h_char)*strlen(this_label->text),
! 						map_ylab(ytemp,lstyle), this_label->text);
  					break;
  			}
  		 }
*** misc.c.orig	Wed Sep 15 23:59:51 1993
--- misc.c	Mon Dec 12 08:46:35 1994
***************
*** 532,542 ****
  	fprintf(fp,"set nolabel\n");
  	for (this_label = first_label; this_label != NULL;
  			this_label = this_label->next) {
! 		fprintf(fp,"set label %d \"%s\" at %g,%g,%g ",
! 			   this_label->tag,
! 			   this_label->text, this_label->x,
! 						 this_label->y,
! 						 this_label->z);
  		switch(this_label->pos) {
  			case LEFT :
  				fprintf(fp,"left");
--- 532,549 ----
  	fprintf(fp,"set nolabel\n");
  	for (this_label = first_label; this_label != NULL;
  			this_label = this_label->next) {
! 	        if (this_label->lstyle)
! 		  fprintf(fp,"set label %d \"%s\" at %g,%g,%g ",
! 			  this_label->tag,
! 			  this_label->text, this_label->x,
! 			                    this_label->y,
! 			                    this_label->z);
! 		else
! 		  fprintf(fp,"set label %d \"%s\" on %g,%g,%g ",
! 			  this_label->tag,
! 			  this_label->text, this_label->x,
! 			                    this_label->y,
! 			                    this_label->z);
  		switch(this_label->pos) {
  			case LEFT :
  				fprintf(fp,"left");
*** plot.h.orig	Thu Dec  1 11:13:44 1994
--- plot.h	Wed Nov 30 16:32:42 1994
***************
*** 516,521 ****
--- 516,522 ----
  	int tag;			/* identifies the label */
  	double x,y,z;
  	enum JUSTIFY pos;
+ 	TBOOLEAN lstyle;
  	char text[MAX_LINE_LEN+1];
  };
  
*** setshow.c.orig	Thu Dec  1 11:13:46 1994
--- setshow.c	Wed Nov 30 17:03:06 1994
***************
*** 1417,1428 ****
      char text[MAX_LINE_LEN+1];
      enum JUSTIFY just;
      int tag;
!     TBOOLEAN set_text, set_position, set_just;
  
      /* get tag */
      if (!END_OF_COMMAND 
  	   && !isstring(c_token) 
  	   && !equals(c_token, "at")
  	   && !equals(c_token, "left")
  	   && !equals(c_token, "center")
  	   && !equals(c_token, "centre")
--- 1417,1429 ----
      char text[MAX_LINE_LEN+1];
      enum JUSTIFY just;
      int tag;
!     TBOOLEAN set_text, set_position, set_just, lstyle;
  
      /* get tag */
      if (!END_OF_COMMAND 
  	   && !isstring(c_token) 
  	   && !equals(c_token, "at")
+ 	   && !equals(c_token, "on")
  	   && !equals(c_token, "left")
  	   && !equals(c_token, "center")
  	   && !equals(c_token, "centre")
***************
*** 1446,1452 ****
      }
  	 
      /* get justification - what the heck, let him put it here */
!     if (!END_OF_COMMAND && !equals(c_token, "at")) {
  	   if (almost_equals(c_token,"l$eft")) {
  		  just = LEFT;
  	   }
--- 1447,1453 ----
      }
  	 
      /* get justification - what the heck, let him put it here */
!     if (!END_OF_COMMAND && !equals(c_token, "at") && !equals(c_token, "on")) {
  	   if (almost_equals(c_token,"l$eft")) {
  		  just = LEFT;
  	   }
***************
*** 1467,1473 ****
      } 
  
      /* get position */
!     if (!END_OF_COMMAND && equals(c_token, "at")) {
  	   c_token++;
  	   if (END_OF_COMMAND)
  		int_error("coordinates expected", c_token);
--- 1468,1478 ----
      } 
  
      /* get position */
!     if (!END_OF_COMMAND && (equals(c_token, "at") || equals(c_token,"on") )) {
!            if (equals(c_token, "at"))
! 	     lstyle = TRUE;   /* coords are data-relative */
! 	   else
! 	     lstyle = FALSE;  /* coords are percent of page max coords */
  	   c_token++;
  	   if (END_OF_COMMAND)
  		int_error("coordinates expected", c_token);
***************
*** 1486,1491 ****
--- 1491,1497 ----
  	   set_position = TRUE;
      } else {
  	   x = y = z = 0;			/* default at origin */
+ 	   lstyle = TRUE;                       /* default use plot coordinates */
  	   set_position = FALSE;
      }
  
***************
*** 1526,1531 ****
--- 1532,1538 ----
  		  this_label->x = x;
  		  this_label->y = y;
  		  this_label->z = z;
+ 		  this_label->lstyle = lstyle;
  	   }
  	   if (set_text)
  		(void) strcpy(this_label->text, text);
***************
*** 1544,1549 ****
--- 1551,1557 ----
  	   new_label->x = x;
  	   new_label->y = y;
  	   new_label->z = z;
+ 	   new_label->lstyle = lstyle;
  	   (void) strcpy(new_label->text, text);
  	   new_label->pos = just;
      }
***************
*** 2643,2651 ****
  	    this_label = this_label->next) {
  	   if (tag == 0 || tag == this_label->tag) {
  		  showed = TRUE;
! 		  fprintf(stderr,"\tlabel %d \"%s\" at %g,%g,%g ",
! 				this_label->tag, this_label->text, 
! 				this_label->x, this_label->y, this_label->z);
  		  switch(this_label->pos) {
  			 case LEFT : {
  				fprintf(stderr,"left");
--- 2651,2664 ----
  	    this_label = this_label->next) {
  	   if (tag == 0 || tag == this_label->tag) {
  		  showed = TRUE;
! 		  if (this_label->lstyle)
! 		    fprintf(stderr,"\tlabel %d \"%s\" at %g,%g,%g ",
! 			    this_label->tag, this_label->text, 
! 			    this_label->x, this_label->y, this_label->z);
! 		  else
! 		    fprintf(stderr,"\tlabel %d \"%s\" on %g,%g,%g ",
! 			    this_label->tag, this_label->text, 
! 			    this_label->x, this_label->y, this_label->z);
  		  switch(this_label->pos) {
  			 case LEFT : {
  				fprintf(stderr,"left");
